package main

import (
	"fmt"
	"log"

	httpserver "git.aetherial.dev/aeth/http-proxy/pkg"
	"github.com/gin-gonic/gin"
)

func main() {
	cfg, err := httpserver.ReadConfig("./.config.json")
	if err != nil {
		log.Fatal("Couldnt read config: ", err)
	}
	fmt.Printf("%+v\n", cfg)
	e := gin.Default()
	httpserver.RegisterRoutes(e, cfg)
	e.Run(fmt.Sprintf("%s:%v", "0.0.0.0", cfg.HttpPort))

}
